//
//  DriverLicense.h
//  CodeLib
//
//  Created by Александр Ушаков on 15/05/14.
//  Copyright (c) 2014 Александр Ушаков. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import <CoreGraphics/CoreGraphics.h>
#import <CoreVideo/CoreVideo.h>
#import <CoreMedia/CoreMedia.h>

#define DecoderResultNotification @"DecoderResultNotification"

@interface DecoderResult : NSObject {
    BOOL succeeded;
    NSString *result;
}

@property (nonatomic, assign) BOOL succeeded;
@property (nonatomic, retain) NSString *result;

+(DecoderResult *)createSuccess:(NSString *)result;
+(DecoderResult *)createFailure;

@end

@interface ScannerViewController : UIViewController<AVCaptureMetadataOutputObjectsDelegate>

@property (weak, nonatomic) IBOutlet UIButton *btn;
@property (weak, nonatomic) IBOutlet UILabel *demoLbl;
- (IBAction)closeBtn:(id)sender;

@property (strong, nonatomic) NSMutableArray * allowedBarcodeTypes;

- (void)decodeResultNotification: (NSNotification *)notification;
- (void) toggleTorch;
@end
